import { Component, effect, signal } from '@angular/core';
import { MarkdownComponent } from '../markdown/markdown.component';
import { FormsModule } from '@angular/forms';
import { Post } from '../../shared/interfaces/post';

@Component({
  selector: 'app-post-editor',
  imports: [MarkdownComponent, FormsModule],
  standalone: true,
  templateUrl: './post-editor.component.html',
  styleUrl: './post-editor.component.css',
})
export class PostEditorComponent {
  data = signal<Post>({
    id: 0,
    title: '',
    tldr: '',
    content: '',
  });

  constructor() {
    effect(() => {
      console.log(this.data());
    });
  }
}
