import { Component, inject, OnInit, Signal } from '@angular/core';
import { PostsService } from '../../shared/services/posts.service';
import { NgForOf } from '@angular/common';
import { RouterLink } from '@angular/router';

@Component({
  selector: 'app-home',
  imports: [NgForOf, RouterLink],
  standalone: true,
  templateUrl: './home.component.html',
})
export class HomeComponent {
  private postsService = inject(PostsService);

  get posts() {
    return this.postsService.getPosts();
  }
}
